
%% Electrical parameters

% General Battery - Inverter - Motor

VB = 300; % Total battery voltage [V]

n = 2; % Number of levels
m = 1; % Inverter modulation index (0<=m<=1)
fo = 500; % Fundamental frequency [Hz]
fs = 50e3; % Switching frequency [Hz]

Irms = 200; % Phase current [Arms]
Phi = 0; % Phaseshift angle between fundamental motor phase voltage and motor phase current [degrees]

% SiC MOSFET Devices

Ron_per_Vbk = 10e-3/300; % Ratio of ON resistance per blocking voltage [Ohm/V]
sv = 10/1e-9; % Switching transition voltage slope [V/s]
si = 5/1e-9; % Switching transition current slope [A/s]
DeltaEONloss = 20/300; % Percentage increase in turn-on loss due to current peak per blocking voltage [%/V]

% Analysis parameters

N_Ts_min = 10000; % Minimum number of points in time per switching cycle for harmonic analysis